DKBSignDocs

API reference

POSTPublic

Send login MFA email

/api/v1/login/mfa/email/send

Resend the email MFA code for an open login challenge. email must be in the challenge methods. Errors: 401 MFA_CHALLENGE_INVALID, 503 MFA_EMAIL_DELIVERY_FAILED.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
challenge_token
Required
stringChallenge token returned by login.
e.g. "opaque-challenge"

Responses

StatusMeaning
200Email MFA code sent
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v1/login/mfa/email/send' \
  -H 'Content-Type: application/json' \
  -d '{"challenge_token":"opaque-challenge"}'

Response 200

json
{
  "message": "Code de vérification envoyé par email.",
  "data": {
    "email_hint": "u***@acme.test"
  }
}